summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/haml/haml-5.2.2.ebuild15
-rw-r--r--dev-ruby/hamster/hamster-3.0.0-r2.ebuild2
-rw-r--r--dev-ruby/html2haml/html2haml-2.2.0-r1.ebuild4
-rw-r--r--dev-ruby/httpclient/httpclient-2.8.3-r2.ebuild78
-rw-r--r--dev-ruby/json_schema/json_schema-0.20.9.ebuild2
-rw-r--r--dev-ruby/maruku/maruku-0.7.3-r1.ebuild4
-rw-r--r--dev-ruby/memo_wise/memo_wise-1.7.0.ebuild2
-rw-r--r--dev-ruby/nokogiri-diff/nokogiri-diff-0.2.0-r3.ebuild8
-rw-r--r--dev-ruby/regexp_property_values/Manifest3
-rw-r--r--dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild36
-rw-r--r--dev-ruby/regexp_property_values/regexp_property_values-1.3.0.ebuild (renamed from dev-ruby/regexp_property_values/regexp_property_values-1.1.0.ebuild)4
-rw-r--r--dev-ruby/rjb/Manifest1
-rw-r--r--dev-ruby/rjb/rjb-1.6.5.ebuild73
-rw-r--r--dev-ruby/sinatra-partial/sinatra-partial-1.0.1-r1.ebuild27
-rw-r--r--dev-ruby/tdiff/tdiff-0.3.4-r1.ebuild6
15 files changed, 202 insertions, 63 deletions
diff --git a/dev-ruby/haml/haml-5.2.2.ebuild b/dev-ruby/haml/haml-5.2.2.ebuild
index 0161e3c229be..7f57326a3f66 100644
--- a/dev-ruby/haml/haml-5.2.2.ebuild
+++ b/dev-ruby/haml/haml-5.2.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true RUBYLIB=lib test"
RUBY_FAKEGEM_TASK_DOC="-Ilib doc"
@@ -25,17 +25,15 @@ KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv x86 ~amd64-linux ~x86-linux ~pp
IUSE="doc test"
-RDEPEND="${RDEPEND} !!<dev-ruby/haml-4.0.7-r2"
-
ruby_add_rdepend ">=dev-ruby/temple-0.8.0 dev-ruby/tilt:*"
ruby_add_bdepend "
test? (
dev-ruby/minitest:5
dev-ruby/nokogiri
- dev-ruby/railties:6.0
- dev-ruby/activemodel:6.0
- dev-ruby/actionpack:6.0
+ >=dev-ruby/railties-6.0
+ >=dev-ruby/activemodel-6.0
+ >=dev-ruby/actionpack-6.0
)
doc? (
dev-ruby/yard
@@ -48,9 +46,6 @@ all_ruby_prepare() {
sed -i -e '/bundler/ s:^:#: ; /Bundler/,/end/ s:^:#:' Rakefile || die
sed -i -e '/bundler/I s:^:#:' \
-e '/simplecov/I s:^:#:' \
- -e '1igem "actionpack", "~>6.0.0"'\
- -e '1igem "activesupport", "~>6.0.0"; gem "activemodel", "~>6.0.0"'\
- -e '1igem "railties", "~>6.0.0"'\
test/test_helper.rb || die
# Remove test that fails when RedCloth is available
sed -i -e "/should raise error when a Tilt filters dependencies are unavailable for extension/,/^ end/ s/^/#/"\
diff --git a/dev-ruby/hamster/hamster-3.0.0-r2.ebuild b/dev-ruby/hamster/hamster-3.0.0-r2.ebuild
index 8102b2d38c19..c9a369d791e4 100644
--- a/dev-ruby/hamster/hamster-3.0.0-r2.ebuild
+++ b/dev-ruby/hamster/hamster-3.0.0-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/html2haml/html2haml-2.2.0-r1.ebuild b/dev-ruby/html2haml/html2haml-2.2.0-r1.ebuild
index c66f4f8eaa9c..99cad3b03a7b 100644
--- a/dev-ruby/html2haml/html2haml-2.2.0-r1.ebuild
+++ b/dev-ruby/html2haml/html2haml-2.2.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_EXTRADOC="README.md Changelog.markdown"
RUBY_FAKEGEM_RECIPE_DOC="yard"
diff --git a/dev-ruby/httpclient/httpclient-2.8.3-r2.ebuild b/dev-ruby/httpclient/httpclient-2.8.3-r2.ebuild
new file mode 100644
index 000000000000..08ca687239b9
--- /dev/null
+++ b/dev-ruby/httpclient/httpclient-2.8.3-r2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="-Ilib test"
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="httpclient.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="'httpclient' gives something like the functionality of libwww-perl (LWP) in Ruby"
+HOMEPAGE="https://github.com/nahi/httpclient"
+SRC_URI="https://github.com/nahi/httpclient/archive/v${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="Ruby"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "virtual/ruby-ssl"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/http-cookie )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/[bB]undler/s:^:#:' Rakefile || die
+
+ # Fix documentation task
+ sed -i -e 's/README.txt/README.md/' Rakefile || die
+
+ # Remove mandatory CI reports since we don't need this for testing.
+ sed -i -e '/reporter/s:^:#:' Rakefile || die
+
+ # Remove mandatory simplecov dependency
+ sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' test/helper.rb || die
+
+ # Comment out test requiring network access that makes assumptions
+ # about the environment, bug 395155
+ sed -i -e '/test_async_error/,/^ end/ s:^:#:' test/test_httpclient.rb || die
+
+ # Skip tests using rack-ntlm which is not packaged. Weirdly these
+ # only fail on jruby.
+ rm test/test_auth.rb || die
+
+ # Skip test failing due to hard-coded expired certificate
+ sed -i -e '/test_verification_without_httpclient/,/^ end/ s:^:#:' test/test_ssl.rb || die
+
+ # Skip test depending on obsolete and vulnerable SSLv3
+ sed -i -e '/test_no_sslv3/,/^ end/ s:^:#:' test/test_ssl.rb || die
+
+ # Do not use 11-year-old bundled certificates!
+ # fix this copy so it doesn't fail tests
+ ln -sf "${EPREFIX}"/etc/ssl/certs/ca-certificates.crt ./dist_key/cacerts.pem
+ ln -sf "${EPREFIX}"/etc/ssl/certs/ca-certificates.crt ./lib/httpclient/cacert.pem
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'gem "test-unit"; Dir["test/test_*.rb"].each{|f| require f}' || die
+}
+
+each_ruby_install() {
+ each_fakegem_install
+ # Do not use 11-year-old bundled certificates!
+ # fix this copy for production systems
+ # do not ship the cacert1024.pem at all anymore, nobody should use RSA1024 certs!
+ rm -f "${ED}/$(ruby_fakegem_gemsdir)/gems/${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/lib/httpclient/"{cacert.pem,cacert1024}.pem
+ dosym -r /etc/ssl/certs/ca-certificates.crt $(ruby_fakegem_gemsdir)/gems/${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/lib/httpclient/cacert.pem
+}
diff --git a/dev-ruby/json_schema/json_schema-0.20.9.ebuild b/dev-ruby/json_schema/json_schema-0.20.9.ebuild
index 9bd8e69403ad..ec108266055b 100644
--- a/dev-ruby/json_schema/json_schema-0.20.9.ebuild
+++ b/dev-ruby/json_schema/json_schema-0.20.9.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md TODO.md"
diff --git a/dev-ruby/maruku/maruku-0.7.3-r1.ebuild b/dev-ruby/maruku/maruku-0.7.3-r1.ebuild
index 1614f4f6199a..a0cabf56bc89 100644
--- a/dev-ruby/maruku/maruku-0.7.3-r1.ebuild
+++ b/dev-ruby/maruku/maruku-0.7.3-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild b/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild
index 607af09f1301..75eaf5252fb1 100644
--- a/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild
+++ b/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/panorama-ed/memo_wise/archive/v${PV}.tar.gz -> ${P}.
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
IUSE=""
all_ruby_prepare() {
diff --git a/dev-ruby/nokogiri-diff/nokogiri-diff-0.2.0-r3.ebuild b/dev-ruby/nokogiri-diff/nokogiri-diff-0.2.0-r3.ebuild
index ce6a9e2a7a43..c16fa9c3a1cf 100644
--- a/dev-ruby/nokogiri-diff/nokogiri-diff-0.2.0-r3.ebuild
+++ b/dev-ruby/nokogiri-diff/nokogiri-diff-0.2.0-r3.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_EXTRADOC="ChangeLog.md README.md"
inherit ruby-fakegem
@@ -18,4 +18,6 @@ KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv x86 ~x86-linux ~ppc-macos ~x64-
SLOT="0"
IUSE=""
+PATCHES=( "${FILESDIR}/${P}-rspec3.patch" )
+
ruby_add_rdepend ">=dev-ruby/nokogiri-1.5 >=dev-ruby/tdiff-0.3.2"
diff --git a/dev-ruby/regexp_property_values/Manifest b/dev-ruby/regexp_property_values/Manifest
index da806e51321b..4b58dfc09204 100644
--- a/dev-ruby/regexp_property_values/Manifest
+++ b/dev-ruby/regexp_property_values/Manifest
@@ -1,3 +1,2 @@
-DIST regexp_property_values-1.0.0.tar.gz 12884 BLAKE2B 82f63d21a1e1508cef79afc2f1b5cca842c1e5bc96b197efa90ec0d02e7bd213cc67ae99f4f71cae6e632e0804fa2d6e935c7d30f27a940c767f5a83dd9edd21 SHA512 f51946d93c255c3b51bfb8055d2c0548c9656db9f208de74b569df8799fa97712a76b509546e149f71e3176ae0e979f295b225c171cedc687e1871f204c1e0d3
-DIST regexp_property_values-1.1.0.tar.gz 13637 BLAKE2B c274dbe0a1168af8de4f3180ba48d3332b1b4425aefa7be33074465120568aca4fc3c3ffe5caa27042139495d1d6ce80e660da4239be8455f41f7e0a97f8f357 SHA512 196b29de3d41502b1f26fb3a64ecf6135ca917b85edb633bee015fde1dfac86e00f9565509973f64842a24542740cb4a887a754b4688f47fc32b0650fc80feca
DIST regexp_property_values-1.2.0.tar.gz 13713 BLAKE2B eaf96fea2fcaca3156f87271f772e03c07c447e7876333b7fa3f11f9bbf267d3e93d69c17601e8fa35004aa8fdb35b05829490ba86906fc4b460281ed29da561 SHA512 01add1c7ededb8a48b42d3c24b5de6d539774656bd59b666e6088b20a495e1936b547ec903678bbb8e49af35f7c72e3dbd35a7750ecba91a04c751d5900bed8a
+DIST regexp_property_values-1.3.0.tar.gz 13626 BLAKE2B 795446b5a51ef59085b73b38211b67b8eadcc51d3707fc69a78e7540fabab0cf1bcf49ce2358c5273006939fe722538f7e4eb02f3f47b1b8de49d232496a1ec1 SHA512 d5195e2e898478696527e266b05b39704aa55cf8d46d6dfe76985064484e5bdbb5c362552a960f6347a00efaed46eaaa0bcef9daf869fd476aea959a035dd98f
diff --git a/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild b/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild
deleted file mode 100644
index 729c8b154a9b..000000000000
--- a/dev-ruby/regexp_property_values/regexp_property_values-1.0.0-r1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_EXTENSIONS=(ext/regexp_property_values/extconf.rb)
-RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/regexp_property_values"
-
-inherit ruby-fakegem
-
-DESCRIPTION="See which property values are supported by the regular expression engine"
-HOMEPAGE="https://github.com/janosch-x/regexp_property_values"
-SRC_URI="https://github.com/janosch-x/regexp_property_values/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="1"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
- sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
-
- # Avoid dependency on character_set which would lead to circular
- # dependencies.
- sed -i -e '/returns a CharacterSet/askip "gentoo circular dependencies"' spec/regexp_property_values/value_spec.rb || die
-}
diff --git a/dev-ruby/regexp_property_values/regexp_property_values-1.1.0.ebuild b/dev-ruby/regexp_property_values/regexp_property_values-1.3.0.ebuild
index e3d040fdc586..0f060d480bce 100644
--- a/dev-ruby/regexp_property_values/regexp_property_values-1.1.0.ebuild
+++ b/dev-ruby/regexp_property_values/regexp_property_values-1.3.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/rjb/Manifest b/dev-ruby/rjb/Manifest
index 5e48fa0fa565..72aaaa7afa0c 100644
--- a/dev-ruby/rjb/Manifest
+++ b/dev-ruby/rjb/Manifest
@@ -1 +1,2 @@
DIST rjb-1.6.4.gem 75264 BLAKE2B a678eb0b57e930bfcc7ea059da8ee6a9319b7e0e5bc632a5b97ec617e77d844491469ebc2366ba4290ee7648b4201f1d34be560e325c6099237d413c9ed8aa46 SHA512 49a0aaeb1a0e945ce373af74e01f33f531e27b205c33a382975125357ee1ceae0bea12d6fc32acb2dd66ce56c6034691520f355688cdaca5d01abff295d1a6c8
+DIST rjb-1.6.5.gem 75264 BLAKE2B 0608e3d2a70fbf909c2be454e71960ae900fadeda936677c290de1b1bfebacd43e9582dea847b3b6ca6c7294c11ff6fce409c1f59c72aea22c3fbc337ca0c590 SHA512 328a2b58eaf4673d5218ae7c87708c115b817f082844893c548a1fab5b544f729d6874cdba4f4fff6443e2fde2370daa8937f729b949c842461a4988033685ac
diff --git a/dev-ruby/rjb/rjb-1.6.5.ebuild b/dev-ruby/rjb/rjb-1.6.5.ebuild
new file mode 100644
index 000000000000..a4c722657a3e
--- /dev/null
+++ b/dev-ruby/rjb/rjb-1.6.5.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="readme.txt ChangeLog"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit java-pkg-2 ruby-fakegem
+
+DESCRIPTION="Rjb is a Ruby-Java software bridge"
+HOMEPAGE="https://github.com/arton/rjb"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples hardened"
+
+DEPEND=">=virtual/jdk-1.8
+ hardened? ( sys-apps/paxctl )"
+RDEPEND=">=virtual/jre-1.8:*"
+
+pkg_setup() {
+ ruby-ng_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+all_ruby_prepare() {
+ # The console is not available for testing.
+ sed -i -e '/test_noarg_sinvoke/,/end/ s:^:#:' test/test.rb || die
+
+ # Avoid encoding tests since not all locales may be available.
+ sed -i -e '/test_kjconv/,/^ end/ s:^:#:' test/test.rb || die
+
+ # Fix build on openjdk-11
+ sed -i -e 's#javah -classpath ../data/rjb jp.co.infoseek.hp.arton.rjb.RBridge#javac -h . -classpath ../data/rjb RBridge.java#g' ext/extconf.rb || die
+}
+
+each_ruby_prepare() {
+ #dev-lang/ruby might need the "hardened" flag to enforce the following:
+ if use hardened; then
+ paxctl -v /usr/bin/ruby 2>/dev/null | grep MPROTECT | grep disabled || ewarn '!!! rjb will only work if ruby is MPROTECT disabled\n please disable it if required using paxctl -m /usr/bin/ruby'
+ fi
+ # force compilation of class file for our JVM
+ rm -rf data
+}
+
+each_ruby_install() {
+ each_fakegem_install
+
+ if use examples; then
+ dodoc -r samples
+ fi
+}
+
+each_ruby_test() {
+ if use hardened; then
+ paxctl -v ${RUBY} 2>/dev/null | grep MPROTECT | grep -q disabled
+ if [ $? = 0 ]; then
+ ${RUBY} -C test -I../lib:.:../ext test.rb || die
+ else
+ ewarn "${RUBY} has MPROTECT enabled, rjb will not work until it is disabled, skipping tests."
+ fi
+ else
+ ${RUBY} -C test -I../lib:.:../ext test.rb || die
+ fi
+}
diff --git a/dev-ruby/sinatra-partial/sinatra-partial-1.0.1-r1.ebuild b/dev-ruby/sinatra-partial/sinatra-partial-1.0.1-r1.ebuild
new file mode 100644
index 000000000000..a93ff2f77947
--- /dev/null
+++ b/dev-ruby/sinatra-partial/sinatra-partial-1.0.1-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.markdown README.markdown"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Just the partials helper in a gem"
+HOMEPAGE="https://github.com/yb66/Sinatra-Partial"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/sinatra-1.4"
+
+ruby_add_bdepend "test? ( dev-ruby/haml dev-ruby/rack-test dev-ruby/rspec-its dev-ruby/timecop )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/^end/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/tdiff/tdiff-0.3.4-r1.ebuild b/dev-ruby/tdiff/tdiff-0.3.4-r1.ebuild
index 5eacf2622ae7..cb869ba31cfa 100644
--- a/dev-ruby/tdiff/tdiff-0.3.4-r1.ebuild
+++ b/dev-ruby/tdiff/tdiff-0.3.4-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
@@ -15,6 +15,6 @@ DESCRIPTION="Calculates the differences between two tree-like structures"
HOMEPAGE="https://github.com/postmodern/tdiff"
LICENSE="MIT"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86 ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv x86 ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""